﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="modify-excel.aspx.cs" Inherits="modify_excel" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
			<asp:ScriptManager ID="Scriptmanager1" runat="server" />
			<asp:ImageButton ID="Button1" runat="server" ImageUrl="images/Excel_BIFF.png"
							 OnClick="ButtonExcel_Click" AlternateText="Biff" />
			<asp:ImageButton ID="Button2" runat="server" ImageUrl="images/Excel_XLSX.png"
							 OnClick="ButtonExcel_Click" AlternateText="Xlsx" />
			<telerik:RadPivotGrid RenderMode="Lightweight" runat="server" ID="RadPivotGrid1" AllowPaging="true" OnCellDataBound="RadPivotGrid1_CellDataBound"
								  OnPivotGridCellExporting="RadPivotGrid1_PivotGridCellExporting"
								  OnNeedDataSource="RadPivotGrid1_NeedDataSource" OnPivotGridBiffExporting="RadPivotGrid1_PivotGridBiffExporting" OnPivotGridInfrastructureExporting="RadPivotGrid1_PivotGridInfrastructureExporting"
								  AllowSorting="true" AllowFiltering="false" ShowFilterHeaderZone="false">
				<PagerStyle Mode="NextPrevNumericAndAdvanced" AlwaysVisible="true"></PagerStyle>
				<Fields>
					<telerik:PivotGridRowField DataField="Country">
					</telerik:PivotGridRowField>
					<telerik:PivotGridRowField DataField="City">
					</telerik:PivotGridRowField>
					<telerik:PivotGridColumnField DataField="Company">
					</telerik:PivotGridColumnField>
					<telerik:PivotGridRowField DataField="TransportType">
					</telerik:PivotGridRowField>
					<telerik:PivotGridAggregateField DataField="Expenses" DataFormatString="{0:C}" Aggregate="Sum">
					</telerik:PivotGridAggregateField>
				</Fields>
				<ClientSettings EnableFieldsDragDrop="true">
					<Scrolling AllowVerticalScroll="false"></Scrolling>
				</ClientSettings>
			</telerik:RadPivotGrid>
			<ul class="checkbox-list">
				<li>
					<span class="checkbox">
						<asp:CheckBox ID="CheckBox1" runat="server" Text="Disable Paging"></asp:CheckBox>
					</span>
				</li>
				<li>
					<span class="checkbox">
						<asp:CheckBox ID="CheckBox3" OnCheckedChanged="CheckBox3_CheckedChanged" runat="server"
									  AutoPostBack="true" Checked="true" Text="Export with styles"></asp:CheckBox>
					</span>
				</li>
				<li>
					<span class="checkbox">
						<asp:CheckBox ID="CheckBox2" runat="server" Text="Add Second Worksheet"></asp:CheckBox>
					</span>
				</li>
			</ul>
		</form>
	</body>
</html>
